package com.goafanti.patent.service;

import java.util.Date;
import java.util.List;

import org.springframework.web.multipart.MultipartFile;

import com.goafanti.common.model.PatentNew;
import com.goafanti.common.model.PatentNewLog;
import com.goafanti.core.mybatis.page.Pagination;
import com.goafanti.patent.bo.PatentNewBo;

public interface PatentNewService {

	int addPatenNew(PatentNew p);

	int updatePatenNew(PatentNewBo p);

	Pagination<PatentNewBo> selectPatentNew(PatentNewBo p,Integer pageSize, Integer pageNo);
	
	List<PatentNewBo> AllselectStartPatentNew();
	
	
	int addPatenNewLog(PatentNewLog pl);

	List<PatentNew> AllselectEndPatentNew();


	void insertLogBatch(List<PatentNewLog> logList2);

	List<PatentNewLog> selectPatentNewLog(Integer id);


	Object export(PatentNewBo p, Integer pageSize, Integer pageNo);

	void pushImportTemplate(MultipartFile file);


	Object pushPatentPaymentDetails(Integer id);

	  
	Object updateBatch(String ids, Integer type,String aid);

	void updateBatchStatusByid(List<String> l2, Integer status);

	void pushResetPatentNew(List<String> list) throws InterruptedException;

	boolean checkTid(Integer tid);

	int countDays(Date endDate);
	
	Integer getSatus(Date endDate);

	void updateCostReduction(Integer id);



}
